\documentclass[paper,11pt]{report}
\usepackage[T1]{fontenc}
\usepackage{gensymb}
\usepackage{hyperref}
\usepackage{graphicx}
\usepackage[toc,page]{appendix}
\usepackage{lscape}
\usepackage{wrapfig}
\usepackage{subfigure}
\usepackage{pgfgantt}
\usepackage{lscape}
\usepackage{array}
\usepackage{colortbl}
\usepackage{pdfpages}
\usepackage{enumitem}
\usepackage{pgfplotstable}


%% begin multi bibliography stuffs
%% \usepackage[resetlabels,labeled]{multibib}
\usepackage[
backend=biber,
style=numeric,
defernumbers=true,
maxbibnames=5
]{biblatex}
% Implements functionality to "append" and "prepend" code to other commands
\usepackage{etoolbox}

\ifdefined\chapter
  \newcommand{\refname}{References}
  \patchcmd{\thebibliography}{\chapter*{\bibname}}{%
    \section{\refname}%
    }{}{}
  \newcommand{\bibliographies}{%
    \chapter{\bibname}%
  }
\else
  \newcommand{\bibname}{Bibliography}
  \patchcmd{\thebibliography}{\section*{\refname}}{%
    \subsection{\refname}%
    }{}{}
  \newcommand{\bibliographies}{%
    \section{\bibname}%
  }
\fi

% Allows for changing margin for a single page
\newenvironment{changemargin}[2]{%
\begin{list}{}{%
\setlength{\topsep}{0pt}%
\setlength{\leftmargin}{#1}%
\setlength{\rightmargin}{#2}%
\setlength{\listparindent}{\parindent}%
\setlength{\itemindent}{\parindent}%
\setlength{\parsep}{\parskip}%
}%
\item[]}{\end{list}}

% Adds table column types for which width can be specified
\newcolumntype{L}[1]{>{\raggedright\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
\newcolumntype{C}[1]{>{\centering\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
\newcolumntype{R}[1]{>{\raggedleft\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}

% avoid 'Chapter x' being written before in each Chapter name
\usepackage{titlesec}
\titleformat{\chapter} {\normalfont\LARGE\bfseries}{\thechapter}{1em}{}

% custom fonts
\usepackage{fontspec}
\setmainfont{Brandon_reg}[
  Path = ../SATfonts/ ,
  Extension = .otf ,
  BoldFont = Brandon_bld ,
  ItalicFont = Brandon_reg_it ,
  BoldItalicFont = Brandon_bld_it,
  UprightFont = Brandon_reg
]

% head & foot
\usepackage{fancyhdr}
\pagestyle{fancy}
\fancyhf{}
\lhead{}
\rhead{[SAT] Metalab}
\cfoot{\thepage}

% formating
\parindent0pt  \parskip10pt % make block paragraphs
%\raggedright % do not right-justify

\renewcommand{\appendixtocname}{Annexes}
\renewcommand{\appendixpagename}{Annexes}

% labeling environment
% like itemize, but labeling environment aligns along the longest item
\usepackage{scrextend}
\addtokomafont{labelinglabel}{\textbf}

\hyphenation{Polytechnique Descartes McGill Metalab}
